# Command: testsuite::ticket-737

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-737 - Ensure that stimulating devices can only be connected with a single synapse type

Synopsis:

    (ticket-737) run -> NEST exits if test fails

Description:

      Ensure that NEST throws an exception if one tries to connect poisson_generator
      (sending DSSpikeEvents), noise_generator (sending DSCurrentEvents) or multimeter
      (sending DataLoggingRequest) to a neuron using a plastic synapse.

      spike_generator slips through this test, since it usually sends SpikeEvent. But it
      is no danger if it sends DSSpikeEvents for weighted spikes, since it sends precisely
      one DSSpikeEvent per spike.

Author:

    Hans Ekkehard Plesser, 2014-11-06

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/testsuite/regressiontests/ticket-737.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative